petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabGetFieldName

Gets the names of individual field components in multicomponent vectors associated with a DMDA.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetFieldName(DM dm, PetscInt field, const char **fieldName)

Not Collective

### Input Parameter

| dm | - the discretization manager object
| field | - field number for the DMMoab (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DMMoab

### Output Parameter

| fieldName | - the name of the field (component)

### Keywords

discretization manager, get, component name

### See Also

DMMoabSetFieldName(), DMMoabSetFields()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages